org.bouncycastle.jce.provider.asymmetric.ec

## Class ECUtil

- java.lang.Object
- - org.bouncycastle.jce.provider.asymmetric.ec.ECUtil

    public class ECUtil
    extends java.lang.Object

utility class for converting jce/jca ECDSA, ECDH, and ECDHC objects into their org.bouncycastle.crypto counterparts.

### Constructor Summary

Constructors
Constructor and Description
`ECUtil()`

### Method Summary

Methods
`static AsymmetricKeyParameter` `generatePrivateKeyParameter(java.security.PrivateKey key)`
`static AsymmetricKeyParameter` `generatePublicKeyParameter(java.security.PublicKey key)`
`static java.lang.String` `getCurveName(DERObjectIdentifier oid)`
`static X9ECParameters` `getNamedCurveByOid(DERObjectIdentifier oid)`
`static DERObjectIdentifier` `getNamedCurveOid(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECUtil

    public ECUtil()

### Method Detail

#### generatePublicKeyParameter

    public static AsymmetricKeyParameter generatePublicKeyParameter(java.security.PublicKey key)
                                                             throws java.security.InvalidKeyException

Throws:
  `java.security.InvalidKeyException`

#### generatePrivateKeyParameter

    public static AsymmetricKeyParameter generatePrivateKeyParameter(java.security.PrivateKey key)
                                                              throws java.security.InvalidKeyException

Throws:
  `java.security.InvalidKeyException`

#### getNamedCurveOid

    public static DERObjectIdentifier getNamedCurveOid(java.lang.String name)

#### getNamedCurveByOid

    public static X9ECParameters getNamedCurveByOid(DERObjectIdentifier oid)

#### getCurveName

    public static java.lang.String getCurveName(DERObjectIdentifier oid)